Customer Item Price Override Break
The customer item price override break resource.
/customerItemPriceOverrideBreakList customer item price override breaks
Retrieve a paginated list of customer item price override breaks. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/customerItemPriceOverrideBreak?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"customerItemPriceOverrideId": "xyz789",
"quantity": 10,
"overridePrice": 0,
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]/customerItemPriceOverrideBreakRetrieve a customer item price override break
Fetch a single customer item price override break by filtering on `id`.
Query parameters
idstringMatch on the customer item price override break's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/customerItemPriceOverrideBreak?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"customerItemPriceOverrideId": "xyz789",
"quantity": 10,
"overridePrice": 0,
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/customerItemPriceOverrideBreakCreate a customer item price override break
Create a new customer item price override break.
Body parameters
customerItemPriceOverrideIdstringrequiredquantitynumberrequiredoverridePricenumberrequiredactivebooleanrequiredcompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/customerItemPriceOverrideBreak \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"customerItemPriceOverrideId":"xyz789","quantity":10,"overridePrice":0,"active":true,"companyId":"xyz789"}'{
"id": "abc123def456",
"customerItemPriceOverrideId": "xyz789",
"quantity": 10,
"overridePrice": 0,
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/customerItemPriceOverrideBreakUpdate a customer item price override break
Update an existing customer item price override break, matched on `id`.
Body parameters
customerItemPriceOverrideIdstringrequiredquantitynumberrequiredoverridePricenumberrequiredactivebooleanrequiredcompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/customerItemPriceOverrideBreak?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"customerItemPriceOverrideId":"xyz789"}'{
"id": "abc123def456",
"customerItemPriceOverrideId": "xyz789",
"quantity": 10,
"overridePrice": 0,
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/customerItemPriceOverrideBreakDelete a customer item price override break
Delete a customer item price override break, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the customer item price override break to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/customerItemPriceOverrideBreak?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'